cgGetEffectParameterBySemantic(3)

NAME
cgGetEffectParameterBySemantic - get the a parameter in an effect via its semantic

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetEffectParameterBySemantic( CGeffect effect,
                                              const char * semantic );

PARAMETERS

effect
    The effect from which to retrieve the parameter.

semantic
    The name of the semantic.

RETURN VALUES
Returns the CGparameter object in effect that has the given semantic.

Returns NULL if effect is invalid or does not have any parameters with the given semantic.

DESCRIPTION
cgGetEffectParameterBySemantic returns the parameter in an effect which is associated with the given semantic. It multiple parameters in the effect have this semantic, an arbitrary one of them will be returned.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

CG_INVALID_PARAMETER_ERROR is generated if semantic is NULL or the empty string.

HISTORY
cgGetEffectParameterBySemantic was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedEffectParameter manpage